<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <!-- ============================================================== -->
        <!-- column -->
        <!-- basic-form ============================================================== -->
        <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}" fxLayout="row wrap"
          fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
          <!-- column -->
          
          <mat-form-field fxFlex="45" fxFlex.xs="50" >
            <input matInput placeholder="Código" [(ngModel)]="item.id" name="codigo" #codigo="ngModel" [disabled]="!isNew">
          </mat-form-field>
          <mat-form-field fxFlex="45" fxFlex.xs="50">
            <mat-placeholder>Activo</mat-placeholder>
            <select matNativeControl name="activo" id="activo" #activo="ngModel" [(ngModel)]="item.activo">
              <option value="SI">
                SI
              </option>
              <option value="NO">
                NO
              </option>
            </select>
          </mat-form-field>
          <mat-form-field fxFlex="95" fxFlex.xs="95">
            <input matInput placeholder="Descripcion" [(ngModel)]="item.descripcion" name="descripcion"
              #descripcion="ngModel">
          </mat-form-field>
          <mat-form-field fxFlex="95" fxFlex.xs="95" class="stretch-height">
            <textarea matInput placeholder="Valor" rows="10" [(ngModel)]="item.valor" name="valor" #valor="ngModel"></textarea>
          </mat-form-field>
        </form>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
        <mat-icon>save</mat-icon>Guardar
      </button>
      <button mat-raised-button color="secondary" (click)="goBack()">
        <mat-icon>keyboard_arrow_left</mat-icon>Regresar
      </button>
    </app-toolbar-button>
  </div>
</div>